{% extends "base.html.twig" %}

{% block title %}Card Profile{% endblock %}
{% block content %}
    <h2>{{ block('title') }}</h2>
    <table class="all-cards-table">
        <tr>
            <th>ID</th>
            <td>{{ card.id }}</td></tr>
        </tr>
        <tr>
            <th>Number</th>
            <td>{{ card.number }}</td>
        </tr>
        <tr>
            <th>Series Nr.</th>
            <td>{{ card.serie }}</td>
        </tr>
        <tr>
            <th>Balance</th>
            <td>{{ card.sum }}</td>
        </tr>
        <tr>
            <th>Expiration date</th>
            <td>{{ card.dateOfExpiry|date("Y-m-d") }}</td>
        </tr>
        <tr>
            <th>Last use date</th>
            <td>{{ card.dateOfUse|date("Y-m-d") }}</td>
        </tr>
        <tr>
            <th>Status</th>
            <td>{{ card.statusKey.code }}</td>
        </tr>
    </table>

    <h2>Purchase history</h2>
    <table class="all-cards-table">
        <tr>
            <th>Product</th>
            <th>Purchase date</th>
        </tr>

        {% for purchace in purchases %}
            <tr>
                <td>{{ purchace.productKey.title }}</td>
                <td>{{ purchace.purchaseDate|date("Y-m-d H:i:s") }}</td>
            </tr>
        {% endfor %}
    </table>

{% endblock %}